<?php
/**
 * @package linea21.modules
 * @subpackage newsletter
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')) {
    include_once("../lib/lib_common.php");
    ReloadIndex('admin');
} 
////////////

if (isset($_GET['id'])) $id = $_GET['id'];
if (isset($_POST['id'])) $id = $_POST['id'];

$req_det = SQL_getoneCompleteNewsLetter($id);
$result = $sql_object->DBSelect($req_det);
if ($result == 0 || count($result) != 1) exit;

$display_title = formatText($result[0]['newsletter_title'], '2HTML');
$display_body = linkin_content(formatText($result[0]['newsletter_body'], '2HTML'));
$display_user = formatText($result[0]['user_login'], '2HTML');
$display_date_crea = $result[0]['newsletter_date_crea_display'];
$display_last_modify = $result[0]['newsletter_last_modify_display'];
$display_statut = display_statut($result[0]['newsletter_statut']);
$newsletter_status = $result[0]['newsletter_statut'];
$newsletter_owner= $result[0]['newsletter_posted_by'];

if ($result[0]['newsletter_published_date_display'] == '01-01-0001') $display_published_date = $GLOBALS['lang']['statut']['draft'];
else $display_published_date = $result[0]['newsletter_published_date_display'];

$link_sup = $rub_link . "&amp;todo=sup&amp;id=";
$link_mod = $rub_link . "&amp;todo=mod&amp;id=";
?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php">
			<?php echo $GLOBALS['lang']['way']['home']; ?>
			</a>
		</li>
		<li>
			<a href="<?php echo $rub_link;?>">
			<?php echo $GLOBALS['lang']['menu']['theme']; ?>
			</a>
		</li>
		<li>
			<span><?php echo formatNavTitle($GLOBALS['lang']['newsletter']['det'] . " : " . $display_title); ?></span>
		</li>
	</ul>
</div>
  <!--end barre haute -->
<?php
include_once("quickicons.php");

?>
<div class="contentcontainer">
<?php
include_once($dir . "/menurub.php");

?>
<div id="content">
		<?php
echo "<h2>";
echo formatTitleh2($display_title);
echo "</h2>\n";
if($newsletter_status!='P') {
	echo "\t<a href=\"" . $link_sup . $id . "\" class=\"ico_sup2\" title=\"" . $GLOBALS['lang']['newsletter']['sup'] . "\"></a>\n";
	echo "\t<a href=\"" . $link_mod . $id . "\" class=\"ico_mod2\" title=\"" . $GLOBALS['lang']['newsletter']['mod'] . "\"></a>\n";
}
echo "<dl class=\"dl3\">\n";
echo "<dt>" . $GLOBALS['lang']['newsletter']['title'] . "</dt>\n";
echo "<dd>" . $display_title . "</dd>\n";
echo "<dt>" . $GLOBALS['lang']['newsletter']['body'] . " :</dt>\n";
echo "<dd>" . $display_body . "</dd>\n";
echo "<dt>" . $GLOBALS['lang']['newsletter']['author'] . " :</dt>\n";
echo '<dd><a href="?rub=user&amp;todo=det&amp;id='.$newsletter_owner.'">' . $display_user . '</a></dd>'.END_LINE;
echo "<dt>" . $GLOBALS['lang']['statut']['published_on'] . "</dt>\n";
echo "<dd>" . $display_published_date . "</dd>\n";
echo "<dt>" . $GLOBALS['lang']['divers']['date_crea'] . "</dt>\n";
echo "<dd>" . $display_date_crea . "</dd>\n";
echo "<dt>" . $GLOBALS['lang']['divers']['last_modify'] . "</dt>\n";
echo "<dd>" . $display_last_modify . "</dd>\n";
echo "<dt>" . $GLOBALS['lang']['divers']['statut'] . "</dt>\n";
echo "<dd>" . $display_statut . "</dd>\n";
echo "</dl>\n";
?>

</div>
<?php include_once($dir . "/help.php");
?>
</div>
